Skip to main content
POST
/
enqueueKybSchemas
Enqueue KYB schemas as jobs
curl --request POST \
  --url https://api.parcha.ai/api/v1/enqueueKybSchemas \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_id": "<string>",
  "schemas": [
    {
      "id": "<string>",
      "self_attested_data": {
        "business_name": "<string>",
        "registered_business_name": "<string>",
        "address_of_incorporation": {
          "street_1": "<string>",
          "street_2": "<string>",
          "city": "<string>",
          "state": "<string>",
          "country_code": "<string>",
          "postal_code": "<string>"
        },
        "address_of_operation": {
          "street_1": "<string>",
          "street_2": "<string>",
          "city": "<string>",
          "state": "<string>",
          "country_code": "<string>",
          "postal_code": "<string>"
        },
        "website": "<string>",
        "business_purpose": "<string>",
        "description": "<string>",
        "industry": "<string>",
        "tin_number": "<string>",
        "incorporation_date": "2023-12-25",
        "partners": [
          "<string>"
        ],
        "customers": [
          "<string>"
        ],
        "source_of_funds": [
          "<string>"
        ],
        "incorporation_documents": [
          {
            "b64_document": "<string>",
            "file_name": "<string>",
            "source_type": "<string>"
          }
        ],
        "business_ownership_documents": [
          {
            "b64_document": "<string>",
            "file_name": "<string>",
            "source_type": "<string>"
          }
        ],
        "proof_of_address_documents": [
          {
            "b64_document": "<string>",
            "file_name": "<string>",
            "source_type": "<string>"
          }
        ],
        "source_of_funds_documents": [
          {
            "b64_document": "<string>",
            "file_name": "<string>",
            "source_type": "<string>"
          }
        ],
        "ein_documents": [
          {
            "b64_document": "<string>",
            "file_name": "<string>",
            "source_type": "<string>"
          }
        ],
        "cannabis_license_documents": [
          {
            "b64_document": "<string>",
            "file_name": "<string>",
            "source_type": "<string>"
          }
        ]
      },
      "external_validation_data": {},
      "research_data": {},
      "associated_individuals": [
        {
          "id": "<string>",
          "self_attested_data": {
            "first_name": "<string>",
            "middle_name": "<string>",
            "last_name": "<string>",
            "name_prefix": "<string>",
            "name_suffix": "<string>",
            "date_of_birth": "2023-12-25",
            "address": {
              "street_1": "<string>",
              "street_2": "<string>",
              "city": "<string>",
              "state": "<string>",
              "country_code": "<string>",
              "postal_code": "<string>"
            },
            "associated_addresses": [
              {
                "street_1": "<string>",
                "street_2": "<string>",
                "city": "<string>",
                "state": "<string>",
                "country_code": "<string>",
                "postal_code": "<string>"
              }
            ],
            "country_of_nationality": "<string>",
            "country_of_residence": "<string>",
            "place_of_birth": "<string>",
            "sex": "<string>",
            "email": "jsmith@example.com",
            "phone": "<string>",
            "title": "<string>",
            "is_applicant": true,
            "is_business_owner": true,
            "business_ownership_percentage": 123,
            "proof_of_address_documents": [
              {
                "b64_document": "<string>",
                "file_name": "<string>",
                "source_type": "<string>"
              }
            ],
            "source_of_funds_documents": [
              {
                "b64_document": "<string>",
                "file_name": "<string>",
                "source_type": "<string>"
              }
            ]
          }
        }
      ],
      "associated_entities": [
        {
          "self_attested_data": {
            "business_name": "<string>",
            "business_ownership_percentage": 123,
            "is_business_owner": true
          }
        }
      ]
    }
  ],
  "batch_name": "KYB Schemas Batch"
}
'
import requests

url = "https://api.parcha.ai/api/v1/enqueueKybSchemas"

payload = {
"agent_id": "<string>",
"schemas": [
{
"id": "<string>",
"self_attested_data": {
"business_name": "<string>",
"registered_business_name": "<string>",
"address_of_incorporation": {
"street_1": "<string>",
"street_2": "<string>",
"city": "<string>",
"state": "<string>",
"country_code": "<string>",
"postal_code": "<string>"
},
"address_of_operation": {
"street_1": "<string>",
"street_2": "<string>",
"city": "<string>",
"state": "<string>",
"country_code": "<string>",
"postal_code": "<string>"
},
"website": "<string>",
"business_purpose": "<string>",
"description": "<string>",
"industry": "<string>",
"tin_number": "<string>",
"incorporation_date": "2023-12-25",
"partners": ["<string>"],
"customers": ["<string>"],
"source_of_funds": ["<string>"],
"incorporation_documents": [
{
"b64_document": "<string>",
"file_name": "<string>",
"source_type": "<string>"
}
],
"business_ownership_documents": [
{
"b64_document": "<string>",
"file_name": "<string>",
"source_type": "<string>"
}
],
"proof_of_address_documents": [
{
"b64_document": "<string>",
"file_name": "<string>",
"source_type": "<string>"
}
],
"source_of_funds_documents": [
{
"b64_document": "<string>",
"file_name": "<string>",
"source_type": "<string>"
}
],
"ein_documents": [
{
"b64_document": "<string>",
"file_name": "<string>",
"source_type": "<string>"
}
],
"cannabis_license_documents": [
{
"b64_document": "<string>",
"file_name": "<string>",
"source_type": "<string>"
}
]
},
"external_validation_data": {},
"research_data": {},
"associated_individuals": [
{
"id": "<string>",
"self_attested_data": {
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"name_prefix": "<string>",
"name_suffix": "<string>",
"date_of_birth": "2023-12-25",
"address": {
"street_1": "<string>",
"street_2": "<string>",
"city": "<string>",
"state": "<string>",
"country_code": "<string>",
"postal_code": "<string>"
},
"associated_addresses": [
{
"street_1": "<string>",
"street_2": "<string>",
"city": "<string>",
"state": "<string>",
"country_code": "<string>",
"postal_code": "<string>"
}
],
"country_of_nationality": "<string>",
"country_of_residence": "<string>",
"place_of_birth": "<string>",
"sex": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"title": "<string>",
"is_applicant": True,
"is_business_owner": True,
"business_ownership_percentage": 123,
"proof_of_address_documents": [
{
"b64_document": "<string>",
"file_name": "<string>",
"source_type": "<string>"
}
],
"source_of_funds_documents": [
{
"b64_document": "<string>",
"file_name": "<string>",
"source_type": "<string>"
}
]
}
}
],
"associated_entities": [{ "self_attested_data": {
"business_name": "<string>",
"business_ownership_percentage": 123,
"is_business_owner": True
} }]
}
],
"batch_name": "KYB Schemas Batch"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: '<string>',
schemas: [
{
id: '<string>',
self_attested_data: {
business_name: '<string>',
registered_business_name: '<string>',
address_of_incorporation: {
street_1: '<string>',
street_2: '<string>',
city: '<string>',
state: '<string>',
country_code: '<string>',
postal_code: '<string>'
},
address_of_operation: {
street_1: '<string>',
street_2: '<string>',
city: '<string>',
state: '<string>',
country_code: '<string>',
postal_code: '<string>'
},
website: '<string>',
business_purpose: '<string>',
description: '<string>',
industry: '<string>',
tin_number: '<string>',
incorporation_date: '2023-12-25',
partners: ['<string>'],
customers: ['<string>'],
source_of_funds: ['<string>'],
incorporation_documents: [{b64_document: '<string>', file_name: '<string>', source_type: '<string>'}],
business_ownership_documents: [{b64_document: '<string>', file_name: '<string>', source_type: '<string>'}],
proof_of_address_documents: [{b64_document: '<string>', file_name: '<string>', source_type: '<string>'}],
source_of_funds_documents: [{b64_document: '<string>', file_name: '<string>', source_type: '<string>'}],
ein_documents: [{b64_document: '<string>', file_name: '<string>', source_type: '<string>'}],
cannabis_license_documents: [{b64_document: '<string>', file_name: '<string>', source_type: '<string>'}]
},
external_validation_data: {},
research_data: {},
associated_individuals: [
{
id: '<string>',
self_attested_data: {
first_name: '<string>',
middle_name: '<string>',
last_name: '<string>',
name_prefix: '<string>',
name_suffix: '<string>',
date_of_birth: '2023-12-25',
address: {
street_1: '<string>',
street_2: '<string>',
city: '<string>',
state: '<string>',
country_code: '<string>',
postal_code: '<string>'
},
associated_addresses: [
{
street_1: '<string>',
street_2: '<string>',
city: '<string>',
state: '<string>',
country_code: '<string>',
postal_code: '<string>'
}
],
country_of_nationality: '<string>',
country_of_residence: '<string>',
place_of_birth: '<string>',
sex: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
title: '<string>',
is_applicant: true,
is_business_owner: true,
business_ownership_percentage: 123,
proof_of_address_documents: [{b64_document: '<string>', file_name: '<string>', source_type: '<string>'}],
source_of_funds_documents: [{b64_document: '<string>', file_name: '<string>', source_type: '<string>'}]
}
}
],
associated_entities: [
{
self_attested_data: {
business_name: '<string>',
business_ownership_percentage: 123,
is_business_owner: true
}
}
]
}
],
batch_name: 'KYB Schemas Batch'
})
};

fetch('https://api.parcha.ai/api/v1/enqueueKybSchemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

API key obtained from your Parcha account settings. Include as Bearer token in the Authorization header.

Body

application/json
agent_id
string
required
schemas
object[]
required
batch_name
string
default:KYB Schemas Batch

Response

Schemas enqueued successfully